http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}Deletes a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
The ID of the managed endpoint.
The ID of the endpoint's virtual cluster.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}Deletes a managed endpoint. A managed endpoint is a gateway that connects Amazon EMR Studio to Amazon EMR on EKS so that Amazon EMR Studio can communicate with your virtual cluster.
The ID of the managed endpoint.
The ID of the endpoint's virtual cluster.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'http://emr-containers.{region}.amazonaws.com/virtualclusters/{virtualClusterId}/endpoints/{endpointId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}